<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V1.0//EN"
  "http://www.logreport.org/LRSML/1.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="proxy" id="users-summary">

 <lire:title>User Summary Proxy Report</lire:title>
 <lire:description>
  <para>This report shows some global stats about the users.</para>
 </lire:description>

 <lire:display-spec>
  <lire:title>Users Summary</lire:title>
 </lire:display-spec>

 <lire:filter-spec>
  <lire:ne arg1="$user" arg2="-"/>
 </lire:filter-spec>

 <lire:report-calc-spec>
  <lire:summary>
   <lire:count name="user_total" fields="user"/>
   <lire:avg name="avg_requests_by_user" by-fields="user"/>
   <lire:avg name="avg_size_transferred_by_user" field="bytes" 
    by-fields="user"/>
   <lire:avg name="avg_time_by_user" field="duration" by-fields="user"/>
  </lire:summary>
 </lire:report-calc-spec>

</lire:report-spec>

<!-- 
Keep this comment at the end of the file
Local variables:
mode: xml
-->
